#include <DHT11.h>
#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
#include "DCMDriverL293D.h"


// Pin Definitions
#define DCMOTORDRIVERB_PIN_ENABLE1	3
#define DCMOTORDRIVERB_PIN_IN1	2
#define DCMOTORDRIVERB_PIN_IN2	4
#define DCMOTORDRIVERB_PIN_ENABLE2	5
#define DCMOTORDRIVERB_PIN_IN3	7
#define DCMOTORDRIVERB_PIN_IN4	8

// object initialization
DCMDriverL293D dcMotorDriverB(DCMOTORDRIVERB_PIN_ENABLE1,DCMOTORDRIVERB_PIN_IN1,DCMOTORDRIVERB_PIN_IN2,DCMOTORDRIVERB_PIN_ENABLE2,DCMOTORDRIVERB_PIN_IN3,DCMOTORDRIVERB_PIN_IN4);

const int ledPin = 6;
const int fotoLedPin = A0;


LiquidCrystal_I2C lcd(0x3F,16,2); 
DHT11 dht11(9);

void setup() {
  // Setăm pinul LED-ului ca OUTPUT
  pinMode(ledPin, OUTPUT);
  Serial.begin(9600);
  lcd.init();
  lcd.backlight();
  lcd.setCursor(0,0);
  lcd.print("Hello, world!");
  lcd.setCursor(0,1);
  lcd.print("Optimus Digital"); 

  delay(2000);
  lcd.clear();
}

void loop() {
  int temperature = 0;
  int humidity = 0;

  // Attempt to read the temperature and humidity values from the DHT11 sensor.
  dht11.readTemperatureHumidity(temperature, humidity);
  if (!temperature) return;

  Serial.println(temperature);
  lcd.setCursor(0, 0);
  lcd.print("Temp: ");
  lcd.print(temperature);
  lcd.print(char(223));
  lcd.print("C");


  int value = analogRead(fotoLedPin);
  int value2 = analogRead(A1);

  value2 = map(value2, 25, 1005, 10, 200);
  Serial.println(value2);
  if(value <= 600){
    digitalWrite(ledPin,HIGH);
  }else{
    digitalWrite(ledPin,LOW);
  }
  if(temperature >= 30){
    dcMotorDriverB.setMotorA(value2,true);
    dcMotorDriverB.setMotorB(value2,false);
  }else{
    dcMotorDriverB.stopMotors();
  }
}
